from rich.console import Console
import os
import time
from colorama import Fore, Style, init as colorama_init

console = Console()

def run():
    while True:
        console.clear()
        console.rule("[bold yellow]Documentação NFDOS[/bold yellow]")
        console.print("1. Abrir documentação (MkDocs)")
        console.print("1. Abrir documentação (Doxygen)")
        console.print("0. Voltar")

        choice = console.input("\n[cyan]nfdos> [/cyan]")

        if choice == "1":
            """Abre a documentação local do MkDocs no navegador."""
            site_path = os.path.abspath(os.path.join(os.path.dirname(__file__), "..", "site", "index.html"))
            if os.path.exists(site_path):
                console.print(f"{Fore.GREEN}[✓]{Style.RESET_ALL} Abrindo documentação...")
                os.system(f"xdg-open '{site_path}' &")
            else:
                console.print(f"{Fore.RED}[✗]{Style.RESET_ALL} Documentação ainda não foi gerada.")
        elif choice == "2":
            console.print(f"{Fore.RED}[✗]{Style.RESET_ALL} Documentação ainda não foi gerada.")
            time.sleep(0.5)
        elif choice == "0":
            break
        else:
            console.print("[red]Opção inválida![/red]")